ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jaikiran Pai <jaiki...@apache.org>
Subject SecurityManager in Java is being deprecated - Please try your Ant builds against JDK 17 EA builds
Date Thu, 17 Jun 2021 16:35:23 GMT
Those of you who haven't yet heard, the upcoming JDK 17 release will be 
deprecating (for future removal) the SecurityManager classes and some of 
the related infrastructure. The complete details of this proposed change 
are explained here https://openjdk.java.net/jeps/411.

The initial changes around this are already available in an early access 
release of JDK 17 which is available at https://jdk.java.net/17/

Ant is one of the projects that will be impacted since we internally 
deal with Java's SecurityManager APIs especially when the "permissions" 
type https://ant.apache.org/manual/Types/permissions.html is used in Ant 
builds.

I think it would be good to hear from the users of Ant if/how they will 
be impacted by these changes in the JDK and how severe that impact will 
be. Please take a look at the JEP and even try out your project builds 
using the latest early access of JDK and report any issues that you 
might notice.

Please do remember that the proposed change for JDK 17 is making 
SecurityManager deprecated for future removal and it is _not_ being 
removed or its behaviour changed in JDK 17 (although you will start 
seeing some diagnostic warning messages, from the JDK itself, bringing 
to your attention this deprecation).


-Jaikiran



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message